# $Revision: 1.19 $, $Date: 2005/01/07 12:16:57 $

# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	MboxParser
Summary:	Mail::MboxParser - read-only access to UNIX-mailboxes
Summary(pl):	Mail::MboxParser - dostp w trybie odczytu do uniksowych skrzynek pocztowych
Name:		perl-Mail-MboxParser
Version:	0.51
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	21d7539dc1c53b0eb7ee07198c99b613
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(MIME::QuotedPrint)
BuildRequires:	perl-MIME-tools >= 5.0
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module attempts to provide a simplified access to standard
UNIX-mailboxes. It offers only a subset of methods to get 'straight to
the point'. More sophisticated things can still be done by invoking
any method from MIME::Tools on the appropriate return values.

%description -l pl
Ten modu prbuje da uproszczony dostp do standardowych uniksowych
skrzynek pocztowych. Oferuje tylko podzbir metod. Bardziej wymyle
rzeczy nadal mona robi wywoujc dowoln metod z MIME::Tools na
waciwych wartociach zwrconych przez ten modu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -r eg $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-MboxParser.spec,v $
Revision 1.19  2005/01/07 12:16:57  adamg
- release 2 (for fixed deps on ac-i386)

Revision 1.18  2005/01/05 12:29:08  adamg
- updated to 0.51

Revision 1.17  2005/01/03 18:07:19  adamg
- updated to 0.50

Revision 1.16  2004/11/03 22:30:32  paladine
- formatting

Revision 1.15  2004/08/11 18:46:32  adamg
- updated to 0.49

Revision 1.14  2004/07/11 19:35:47  adamg
- updated to 0.48

Revision 1.13  2004/05/06 18:20:34  ankry
- fixed perl-devel BR

Revision 1.12  2004/05/03 15:53:33  adamg
- updated to 0.47

Revision 1.11  2004/04/23 06:22:06  ankry
- license fixes/unification

Revision 1.10  2004/04/04 19:53:04  adamg
- updated to 0.46

Revision 1.9  2004/03/06 19:53:58  adamg
- updated to 0.45

Revision 1.8  2004/01/24 23:17:01  arekm
- autoupdated to 0.44

Revision 1.7  2003/10/21 12:31:15  migo
- up to 0.43
- new bcond style

Revision 1.6  2003/09/18 13:19:43  adamg
- updated to 0.41

Revision 1.5  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.4  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.3  2003/07/31 22:20:56  qboosh
- pl

Revision 1.2  2003/07/24 16:36:33  radek
- added forgotten md5

Revision 1.1  2003/07/24 16:33:46  radek
- new
